Bug 1249726 - Clicking on the Cloud Intelligence/Reports throws error in production.log file
Clicking on the Cloud Intelligence/Reports throws error in production.log file
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity low
: GA
: 5.5.0
Assigned To: Martin Povolny
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 12:14 EDT by Ramesh A
Modified: 2015-12-08 08:25 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:25:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2015-08-03 12:14:34 EDT
Description of problem:
Clicking on the Cloud Intelligence/Reports throws error in production.log file

Version-Release number of selected component (if applicable):
master.20150803085357_e08ddc8 

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Cloud Intelligence ==> Reports

Actual results:
Error is found in the production.log file as shown below

Expected results:
Should not throw any error

Additional info:
production.log:
==============
[----] I, [2015-08-03T12:11:19.234590 #4508:e55998]  INFO -- : Started GET "/report/explorer" for 127.0.0.1 at 2015-08-03 12:11:19 -0400
[----] I, [2015-08-03T12:11:19.236738 #4508:e55998]  INFO -- : Processing by ReportController#explorer as HTML
[----] E, [2015-08-03T12:11:19.299677 #4508:e55998] ERROR -- : x_tree_init called for type savedreports
[----] E, [2015-08-03T12:11:19.416612 #4508:e55998] ERROR -- : x_tree_init called for type reports
[----] E, [2015-08-03T12:11:19.490321 #4508:e55998] ERROR -- : x_tree_init called for type schedules
[----] E, [2015-08-03T12:11:19.496588 #4508:e55998] ERROR -- : x_tree_init called for type db
[----] E, [2015-08-03T12:11:19.506406 #4508:e55998] ERROR -- : x_tree_init called for type widgets
[----] E, [2015-08-03T12:11:19.520689 #4508:e55998] ERROR -- : x_tree_init called for type roles
[----] E, [2015-08-03T12:11:19.529038 #4508:e55998] ERROR -- : x_tree_init called for type export
[----] I, [2015-08-03T12:11:19.574504 #4508:e55998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.4ms)
[----] I, [2015-08-03T12:11:19.574732 #4508:e55998]  INFO -- :   Rendered report/_savedreports_tree.html.haml (0.9ms)
[----] I, [2015-08-03T12:11:19.575405 #4508:e55998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.3ms)
[----] I, [2015-08-03T12:11:19.575526 #4508:e55998]  INFO -- :   Rendered report/_reports_tree.html.haml (0.6ms)
[----] I, [2015-08-03T12:11:19.576133 #4508:e55998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.2ms)
[----] I, [2015-08-03T12:11:19.576269 #4508:e55998]  INFO -- :   Rendered report/_schedules_tree.html.haml (0.5ms)
[----] I, [2015-08-03T12:11:19.576944 #4508:e55998]  INFO -- :   Rendered layouts/_dynatree.html.haml (0.2ms)
[----] I, [2015-08-03T12:11:19.577059 #4508:e55998]  INFO -- :   Rendered report/_db_tree.html.haml (0.5ms)
Comment 5 CFME Bot 2015-08-18 18:08:21 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58faddf3e00e2c39af7ea60ef92dd6c1bad9996e

commit 58faddf3e00e2c39af7ea60ef92dd6c1bad9996e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Aug 18 10:16:44 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Aug 18 10:46:27 2015 +0200

    TreeBuilder: remove anoying log message.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1249726

 app/controllers/mixins/sandbox.rb | 1 -
 1 file changed, 1 deletion(-)
Comment 6 CFME Bot 2015-08-18 18:09:29 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58faddf3e00e2c39af7ea60ef92dd6c1bad9996e

commit 58faddf3e00e2c39af7ea60ef92dd6c1bad9996e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Aug 18 10:16:44 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Aug 18 10:46:27 2015 +0200

    TreeBuilder: remove anoying log message.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1249726

 app/controllers/mixins/sandbox.rb | 1 -
 1 file changed, 1 deletion(-)
Comment 7 CFME Bot 2015-08-18 18:11:03 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58faddf3e00e2c39af7ea60ef92dd6c1bad9996e

commit 58faddf3e00e2c39af7ea60ef92dd6c1bad9996e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Aug 18 10:16:44 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Aug 18 10:46:27 2015 +0200

    TreeBuilder: remove anoying log message.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1249726

 app/controllers/mixins/sandbox.rb | 1 -
 1 file changed, 1 deletion(-)
Comment 8 Ramesh A 2015-09-23 09:11:57 EDT
Good to go.  Verified and working fine in 5.5.0.1-alpha1.20150915151429_2230bd4
Comment 10 errata-xmlrpc 2015-12-08 08:25:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.